Bug 12994 - Text upgrade uglies
Text upgrade uglies
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-06-24 12:07 EDT by Henri Schlereth
Modified: 2007-04-18 12:27 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-30 13:41:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Henri Schlereth 2000-06-24 12:07:59 EDT
After a failed GUI upgrade, I reverted to a text mode install. Evidently
the database got converted to the new db format and I could proceed.

After the "Transfering install image to hard drive" the following
ugliness got splashed on the installer screen.

make history [253]: Reading config from /etc/news/inn.conf and

later:

useradd [557]: new group name=maillnull uid 47 gid 47 /home/var/spool/
mqueue,shell=/dev/null

The cd change worked just fine BTW.

And a note on the splash screen. It comes up with an "enter Control X for
text mode", if you do that or dont it still boots into text mode, which
could be confusing someone (like me) that didnt expect/want the alternative
(GUI) mode, if it exists.
Comment 1 Henri Schlereth 2000-06-24 12:25:05 EDT
Also found in upgrade.log

Upgrading less
user prospector does not exist using root
group prospector does not exist usig root
repeated 8 times followed by
Upgrading libjpeg

from syslog:
Jun 23 23:52:14 test network: Setting network parameters succeeded
Jun 23 23:52:26 test kernel: Detected PS/2 Mouse Port.
Jun 23 23:52:34 test insmod: /lib/modules/2.2.14-5.0/misc/busmouse.o: init_modul
e: Device or resource busy
Jun 23 23:52:34 test insmod: /lib/modules/2.2.14-5.0/misc/busmouse.o: insmod cha
r-major-10-0 failed
Jun 23 23:52:34 test gpm[543]: oops() invoked from gpm.c(906)
Jun 23 23:52:34 test gpm[543]: /dev/mouse: No such device
Jun 23 23:52:15 test ifup: SIOCADDRT: Network is unreachable
Jun 24 01:49:50 test depmod:       [-C configfile] [-F kernelsyms] [-b basedirec
tory] [forced_version]
Jun 24 01:49:50 test depmod: depmod [-n -e -v -q] [-f kernelsyms] module1.o modu
le2.o ...
Jun 24 01:49:51 test depmod: depmod will output a dependancy list suitable for t
he modprobe utility.
Jun 24 01:49:51 test depmod: depmod -a will find the list of modules to probe fr
om the file
Jun 24 01:49:51 test depmod: /etc/modules.conf. It will output the result into t
he depfile specified
Jun 24 01:49:51 test depmod: in this configuration file
Jun 24 01:49:51 test depmod: Normally depmod operates silently, reporting only t
he list of modules that
Jun 24 01:49:51 test depmod: won't load properly (missing symbols).
Jun 24 01:49:51 test depmod: Option -q will make depmod keep quiet about missing
 symbols
Jun 24 01:49:51 test depmod: Option -e output all the unresolved symbol for a 
Jun 24 01:49:51 test depmod: Option -s output all error message to the syslog da
emon
Jun 24 01:49:51 test depmod: Option -v force a printout of all visited modules.
Jun 24 01:49:51 test depmod: Option -n will write the dependency file on stdout
only.
Jun 24 01:49:51 test depmod: Option -V will show you the release version of depm
od
Jun 24 01:49:51 test depmod: Option -r will allow root to load modules that are
not owned by root
Jun 24 01:49:51 test depmod: The following options are useful for people managin
g distributions;
Jun 24 01:49:51 test depmod: Option '-b basedirectory': use an image of a module
 tree.
Jun 24 01:49:51 test depmod: Option '-C configfile': use the file instead of /et
c/modules.conf.
Jun 24 01:49:51 test depmod: Option '-F kernelsyms': use the file instead of the
 current kernel symbols
Jun 24 01:50:41 test rpc.lockd: lockdsvc: Function not implemented
Jun 24 01:50:41 test nfslock: rpc.lockd startup failed

I manually did an ifup eth0 and then it worked, also did a depmod -a.

But this worked 100% better than the GUI upgrade.
Comment 2 Glen Foster 2000-07-30 13:28:36 EDT
Can this behavior be reproduced in Pinstripe (beta-5)?
Comment 3 Henri Schlereth 2000-07-30 13:41:13 EDT
Dont know, I wont get Beta5 till Mon/Tuesday
Comment 4 Henri Schlereth 2000-08-01 11:17:17 EDT
TUI Server install of Beta5 did not show the uglies mentioned. Closing out as CURRENTRELEASE (Beta5) fixed.

Note You need to log in before you can comment on or make changes to this bug.